[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# Int128Rec

Record representing a 128-bit unsigned integer.

## Declaration

Source position: sysutilh.inc line 74

`type Int128Rec = packed record`
`case Integer of`
`0: (`
`Hi: QWord;` |  | High QWord of the 128-bit integer
`Lo: QWord;` |  | Low QWord of the 128-bit integer
`);`
`1: (`
`DWords: array [0..3] of DWord;` |  | The 128-bit integer as an array of 4 DWords
`);`
`2: (`
`Words: array [0..7] of Word;` |  | The 128-bit integer as an array of 8 words
`);`
`3: (`
`Bytes: array [0..15] of Byte;` |  | The 128-bit integer as an array of 16 bytes
`);`
`end;`

## Description

Int128Rec is a record defining a 128-bit integer. It is made up of 2 QWords or 4 DWords or 8 words or 16 bytes.

## See also

LongRec |  | Record describing a longint value
WordRec |  | Record describing a word value.
OWordRec |  | Identical to the Int128Rec record.